FNodeCellGUI
Keywords: com.fg.ftree.FNodeCellGUI interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftree
Interface FNodeCellGUI

All Superinterfaces:
  FActionConstants

All Known Implementing Classes:
  FAbstractToggleNode

public interface FNodeCellGUI
extends FActionConstants

FNodeCellGUI interface is supposed to be implemented by `FTree` nodes. It declares the same methods as `FTreeCellGUI` does with the difference that node references are excluded from the method parameters. Since `FTree` component is not aware of this interface, a special `FTreeCellGUI` implementation has to check if each particular node implements FNodeCellGUI and then call respective FNodeCellGUI methods (see `DefaultFTreeCellGUI`). This approach allows to create multiple types of tree nodes with prebuilt functionality.

Version:
  2.0
Author:
  Felix Golubov
See Also:
  `DefaultFTreeCellGUI`, `FTreeCellGUI`, `FTree`

Field Summary

Fields inherited from interface com.fg.ftree.FActionConstants
`CHANGE_EXPANSION, DROP_SELECTION, EDIT_CELL, NO_ACTION, SELECT_NODE`

Method Summary
`int` | `cellClicked(FTree tree, javax.swing.JComponent c, int x, int y, java.util.List targetList)`
`javax.swing.JComponent` | `createCellControl(FTree tree, boolean isEditor)`
`java.lang.Object` | `getCellControlKey(FTree tree)`
`java.awt.Color` | `getFolderBarColor(FTree tree)`
`java.awt.Color` | `getFolderColor(FTree tree)`
`int` | `getRowHeight(FTree tree)`
`boolean` | `isNodeSelectionAllowed(FTree tree)`
`void` | `updateCellControl(FTree tree, javax.swing.JComponent c, boolean isEditor, boolean selected)`
`void` | `updateNode(FTree tree, javax.swing.JComponent c, boolean directStopEditing)`

Method Detail

### getRowHeight

    public int getRowHeight(FTree tree)

### getFolderColor

    public java.awt.Color getFolderColor(FTree tree)

### getFolderBarColor

    public java.awt.Color getFolderBarColor(FTree tree)

### getCellControlKey

    public java.lang.Object getCellControlKey(FTree tree)

### createCellControl

    public javax.swing.JComponent createCellControl(FTree tree,
                                                    boolean isEditor)

### updateCellControl

    public void updateCellControl(FTree tree,
                                  javax.swing.JComponent c,
                                  boolean isEditor,
                                  boolean selected)

### updateNode

    public void updateNode(FTree tree,
                           javax.swing.JComponent c,
                           boolean directStopEditing)

### cellClicked

    public int cellClicked(FTree tree,
                           javax.swing.JComponent c,
                           int x,
                           int y,
                           java.util.List targetList)

### isNodeSelectionAllowed

    public boolean isNodeSelectionAllowed(FTree tree)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD